<?php

/*
Plugin Name: EDD Persian CS
Version: 1.0.1
Description: نمایش کشورها و استانهای ایران به زبان فارسی در افزونه edd.
Plugin URI: http://ham3da.ir/
Author: 20script
Author URI: http://www.20script.ir/
*/

add_filter( 'edd_iranian_states', 'edd_get_iranian_states_list_persian', 10 );
function edd_get_iranian_states_list_persian() {
	$states = array(
		''    => '',
		'KHZ' => 'خوزستان',
		'THR' => 'تهران',
		'ILM' => 'ایلام',
		'BHR' => 'بوشهر',
		'ADL' => 'اردبیل',
		'ESF' => 'اصفهان',
		'YZD' => 'یزد',
		'KRH' => 'کرمانشاه',
		'KRN' => 'کرمان',
		'HDN' => 'همدان',
		'GZN' => 'قزوین',
		'ZJN' => 'زنجان',
		'LRS' => 'لرستان',
		'ABZ' => 'البرز',
		'EAZ' => 'آذربایجان شرقی',
		'WAZ' => 'آذربایجان غربی',
		'CHB' => 'چهارمحال بختیاری',
		'SKH' => 'خراسان جنوبی',
		'RKH' => 'خراسان رضوی',
		'NKH' => 'خراسان شمالی',
		'SMN' => 'سمنان',
		'FRS' => 'فارس',
		'QHM' => 'قم',
		'KRD' => 'کردستان',
		'KBD' => 'کهکیلویه و بویراحمد',
		'GLS' => 'گلستان',
		'GIL' => 'گیلان',
		'MZN' => 'مازندران',
		'MKZ' => 'مرکزی',
		'HRZ' => 'هرمزگان',
		'SBN' => 'سیستان و بلوچستان'
	);

	return $states;
}
add_filter( 'edd_countries', 'edd_get_country_list_persian', 10 );

function edd_get_country_list_persian()
{
	$countries = array(
		''   => '',
        'US' => 'ایالات متحده',
        'CA' => 'کانادا',
        'GB' => 'انگلستان',
        'AF' => 'افغانستان',
        'AX' => 'جزایر آلند',
        'AL' => 'آلبانی',
        'DZ' => 'الجزایر',
        'AS' => 'ساموآ',
        'AD' => 'آندورا',
        'AO' => 'آنگولا',
        'AI' => 'آنگویلا',
        'AQ' => 'قطب جنوب',
        'AG' => 'آنتیگوا و باربودا',
        'AR' => 'آرژانتین',
        'AM' => 'ارمنستان',
        'AW' => 'آروبا',
        'AU' => 'استرالیا',
        'AT' => 'اتریش',
        'AZ' => 'جمهوری آذربایجان',
        'BS' => 'باهاما',
        'BH' => 'بحرین',
        'BD' => 'بنگلادش',
        'BB' => 'باربادوس',
        'BY' => 'بلاروس',
        'BE' => 'بلژیک',
        'BZ' =>  'بلیز',
        'BJ' => 'بنین',
        'BM' =>  'برمودا',
        'BT' =>  'بوتان',
        'BO' =>  'بولیوی',
        'BQ' =>  'جزایر کارائیب هلند',
        'BA' =>  'بوسنی و هرزگوین',
        'BW' =>  'بوتسوانا',
        'BV' =>  'جزیره بووت',
        'BR' =>  'برزیل',
        'IO' => 'قلمرو بریتانیا در اقیانوس هند',
        'BN' => 'برونئی(Brunei Darrussalam)',
        'BG' =>  'بلغارستان',
        'BF' =>  'بورکینا فاسو',
        'BI' =>  'بروندی',
        'KH' =>  'کامبوج',
        'CM' =>  'کامرون',
        'CV' =>  'کیپ ورد',
        'KY' =>  'جزایر کیمن',
        'CF' => 'جمهوری آفریقای مرکزی',
        'TD' =>  'چاد',
        'CL' => 'شیلی',
        'CN' => 'چین',
        'CX' => 'جزیره کریسمس',
        'CC' => 'جزایر کوکوس',
        'CO' => 'کلمبیا',
		'KM' => 'کومور',
		'CD' => 'کنگو، جمهوری دموکراتیک خلق',
		'CG' => 'کنگو، جمهوری',
		'CK' => 'جزایر کوک',
		'CR' => 'کاستاریکا',
		'CI' => 'ساحل عاج',
		'HR' => 'کرواسی',
		'CU' => 'کوبا',
		'CW' => 'کوراسائو',
		'CY' => 'قبرس',
		'CZ' => 'جمهوری چک',
		'DK' => 'دانمارک',
		'DJ' => 'جیبوتی',
		'DM' => 'دومینیکا',
		'DO' => 'جمهوری دومینیکن',
		'TP' => 'تیمور شرقی',
		'EC' => 'اکوادور',
		'EG' => 'مصر',
		'GQ' => 'گینه استوایی',
		'SV' => 'السالوادور',
        'ER' => 'اریتره',
        'EE' => 'استونی',
        'ET' => 'اتیوپی',
        'FK' => 'جزایر فالکلند',
        'FO' => 'جزایر فارو',
        'FJ' => 'فیجی',
        'FI' => 'فنلاند',
        'FR' => 'فرانسه',
        'GF' => 'گویان فرانسه',
        'PF' => 'پلی‌نزی فرانسه',
        'TF' => 'سرزمین‌های جنوبی و جنوبگانی فرانسه',
        'GA' => 'گابن',
        'GM' => 'گامبیا',
        'GE' => 'گرجستان',
        'DE' => 'آلمان',
        'GR' => 'یونان',
        'GH' => 'غنا',
        'GI' => 'جبل الطارق',
        'GL' => 'گرینلند',
        'GD' => 'گرانادا',
        'GP '=> 'جزیره گوادلوپ',
		'GU' => 'گوآم',
		'GT' => 'گواتمالاسیتی',
		'GG' => 'گرنزی',
		'GN' => 'گینه',
		'GW' => 'گینه بیسائو',
		'GY' => 'گویان',
		'HT' => 'هائیتی',
		'HM' => 'جزیره هرد و جزایر مک‌دونالد',
		'VA' => 'سریر مقدس(دولت‌شهر واتیکان)',
		'HN' => 'هندوراس',
		'HK' => 'هنگ کنگ',
		'HU' => 'مجارستان',
		'IS' => 'ایسلند',
		'IN' => 'هندوستان',
		'ID' => 'اندونزی',
		'IR' => 'جمهوری اسلامی ایران',
		'IQ' => 'عراق',
		'IE' => 'ایرلند',
		'IM' => 'جزیرۀ من',
		'IL' => 'اسرائيل',
		'IT' => 'ایتالیا',
		'JM' => 'جامائیکا',
		'JP' => 'ژاپن',
		'JE' => 'جرزی',
		'JO' => 'اردن',
		'KZ' => 'قزاقستان',
		'KE' => 'کنیا',
		'KI' => 'کیریباتی',
		'KW' => 'کویت',
		'KG' => 'قرقیزستان',
		'LA' => 'جمهوری دموکراتیک خلق لائوس',
		'LV' => 'لتونی',
		'LB' => 'لبنان',
		'LS' => 'لسوتو',
		'LR'=> 'لیبریا',
        'LY'=> 'جمهوری عربی لیبی',
        'LI' => 'لیختن اشتاین',
        'LT'=> 'لیتوانی',
        'LU' => 'لوکزامبورگ',
        'MO' => 'ماکائو',
        'MK' => 'مقدونیه',
        'MG' => 'ماداگاسکار',
        'MW' => 'مالاوی',
        'MY' => 'مالزی',
        'MV' => 'مالدیو',
        'ML' => 'مالی',
        'MT' => 'مالت',
        'MH' => 'جزایر مارشال',
        'MQ' => 'مارتینیک',
        'MR' => 'موریتانی',
        'MU' => 'موریس',
        'YT' => 'مایوت',
        'MX' => 'مکزیک',
        'FM' => 'میکرونزی',
        'MD' => 'جمهوری مولداوی',
        'MC' => 'موناکو',
        'MN' => 'مغولستان',
        'ME' => 'مونته نگرو',
		'MS' => 'مونتسرات',
		'MA' => 'مراکش',
		'MZ' => 'موزامبیک',
		'MM' => 'میانمار',
		'NA' => 'نامیبیا',
		'NR' => 'نائورو',
		'NP' => 'نپال',
		'NL' => 'هلند',
		'AN' => 'آنتیل هلند',
		'NC' => 'کالدونیای جدید',
		'NZ' => 'نیوزیلند',
		'NI' => 'نیکاراگوئه',
		'NE' => 'نیجر',
		'NG' => 'نیجریه',
		'NU' => 'نیووی',
		'NF' => 'جزیره نورفک',
		'KP' => 'کره شمالی',
		'MP' => 'جزایر ماریانای شمالی',
		'NO' => 'نروژ',
		'OM' => 'عمان',
		'PK' => 'پاکستان',
		'PW' => 'پالائو',
		'PS' => 'سرزمین‌های فلسطینی',
		'PA' => 'پاناما',
		'PG' => 'پاپوآ گینهٔ نو',
		'PY' => 'پاراگوئه',
		'PE' => 'پرو',
		'PH' => 'فیلیپین',
		'PN' => 'جزایر پیتکرن',
		'PL' => 'لهستان',
		'PT' => 'کشور پرتغال',
		'PR' => 'پورتوریکو',
		'QA' => 'قطر',
		'XK' => 'جمهوری کوزوو',
		'RE' => 'جزیره ریونیون',
		'RO' => 'رومانی',
		'RU' => 'فدراسیون روسیه',
		'RW' => 'رواندا',
		'BL' => 'سن بارتلمی',
		'SH' => 'سنت هلن',
		'KN' => 'سنت کیتس و نویس',
		'LC' => 'سنت لوسیا',
		'MF' => 'سنت مارتین (فرانسوی)',
		'SX' => 'سنت مارتین (هلندی)',
		'PM' => 'سن-پیِر و میکلُن',
		'VC' => 'سنت وینسنت و گرنادین‌ها',
		'SM' => 'سان مارینو',
		'ST' => 'جمهوری دموکراتیک سائوتومه و پرنسیپ',
		'SA' => 'عربستان سعودی',
		'SN' => 'سنگال',
		'RS' => 'صربستان',
		'SC' => 'سیشل',
		'SL' => 'سیرا لئون',
		'SG' => 'سنگاپور',
		'SK' => 'جمهوری اسلواکی',
		'SI' => 'اسلوونی',
		'SB' => 'جزیره سلیمان',
		'SO' => 'سومالی',
		'ZA' => 'آفریقای جنوبی',
		'GS' => 'گرجستان جنوبی',
		'KR' => 'کره جنوبی',
		'SS' => 'سودان جنوبی',
		'ES' => 'اسپانیا',
		'LK' => 'سری لانکا',
		'SD' => 'سودان',
		'SR' => 'سورینام',
		'SJ' => 'سوالبارد و یان ماین',
		'SZ' => 'سوازیلند',
		'SE' => 'سوئد',
		'CH' => 'سوئیس',
		'SY' => 'جمهوری عربی سوریه',
		'TW' => 'تایوان',
		'TJ' => 'تاجیکستان',
		'TZ' => 'تانزانیا',
		'TH' => 'تایلند',
		'TL' => 'تیمور-لسته',
		'TG' => 'توگو',
		'TK' => 'توکلائو',
		'TO' => 'تونگا',
		'TT' => 'ترینیداد و توباگو',
		'TN' => 'تونس',
		'TR' => 'ترکیه',
		'TM' => 'ترکمنستان',
		'TC' => 'جزایر تورکس و کایکوس',
		'TV' => 'تووالو',
		'UG' => 'اوگاندا',
		'UA' => 'اوکراین',
		'AE' => 'امارات متحده عربی',
		'UY' => 'اروگوئه',
		'UM' => 'جزایر کوچک حاشیه‌ای ایالات متحده',
		'UZ' => 'ازبکستان',
		'VU' => 'وانواتو',
		'VE' => 'ونزوئلا',
		'VN' => 'ویتنام',
		'VG' => 'جزایر ویرجین (بریتانیا)',
		'VI' => 'جزایر ویرجین (ایالات متحده آمریکا)',
		'WF' => 'جزایر والیس و فوتونا',
		'EH' => 'صحرای غربی',
		'WS' => 'ساموآی غربی',
		'YE' => 'یمن',
		'ZM' => 'زامبیا',
		'ZW' => 'زیمبابوه'
        );
        return $countries;
}
function EDD_Persian_CS_Menu(){
    add_menu_page('EDD Persian CS', 'EDD Persian CS', 'manage_options', 'edd-pcs', 'EDD_Persian_CS_func', 'dashicons-download', 26);
}

add_action('admin_menu', 'EDD_Persian_CS_Menu');

function EDD_Persian_CS_func()
{
    ?>
<div class="wrap">
		<h2>EDD Persian CS</h2>
        <p>EDD Persian CS
        افزونه‌ای برای نمایش نام کشورها و استان‌های ایران به زبان فارسی می‌باشد.
        <br />
        <b>نکته: </b>برای استفاده از این افزونه ابتدا باید افزونه <a href="http://www.20script.ir/?p=25586" target="_blank">Easy Digital Downloads</a> را نصب نمایید.
        </p>
        <h2>درباره ما</h2>
        توسعه دهنده: <a href="http://ham3da.ir" target="_blank">هم صدا</a>
        <br />
        ایمیل: <a href="mailto:ham3da.j@gmail.com">ham3da.j@gmail.com</a>
</div>
    <?php

}
?>